Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 975861

Summary: FSError: mount failed: 32
Product: [Fedora] Fedora Reporter: Jan Sedlák <jsedlak>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: anaconda-maint-list, dshea, g.kaviyarasu, jonathan, jsedlak, mkolman, sbueno, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:f0bff1263e262b83a10a6e6decd3775ca0fb2e8863a10b8782c88d146b5053f7
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-13 15:16:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: anaconda-tb
none
File: anaconda.log
none
File: environ
none
File: lsblk_output
none
File: nmcli_dev_list
none
File: os_info
none
File: program.log
none
File: storage.log
none
File: syslog
none
File: ifcfg.log
none
File: packaging.log none

Description Jan Sedlák 2013-06-19 09:27:23 EDT
Description of problem:
Tried to verify DVD.iso, that was set as local installation source. DVD.iso is located on disk on /dev/sda6. It's ext4 extended partition.

Version-Release number of selected component:
anaconda-19.30.8-1

The following was filed automatically by anaconda:
anaconda 19.30.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 601, in mount
    raise FSError("mount failed: %s" % rc)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 772, in on_verify_iso_clicked
    p.format.mount(mountpoint=constants.ISO_DIR)
FSError: mount failed: 32

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   inst.repo=nfs:nfs.englab.brq.redhat.com:/pub/fedora/fedora-alt/stage/19-TC5/Fedora/i386/iso/Fedora-19-TC5-i386-DVD.iso initrd=F19/TC5/i386/initrd.img inst.repo=hd:sda6:/DVD.iso BOOT_IMAGE=F19/TC5/i386/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-TC5
Comment 1 Jan Sedlák 2013-06-19 09:27:31 EDT
Created attachment 762951 [details]
File: anaconda-tb
Comment 2 Jan Sedlák 2013-06-19 09:27:36 EDT
Created attachment 762952 [details]
File: anaconda.log
Comment 3 Jan Sedlák 2013-06-19 09:27:40 EDT
Created attachment 762953 [details]
File: environ
Comment 4 Jan Sedlák 2013-06-19 09:27:48 EDT
Created attachment 762954 [details]
File: lsblk_output
Comment 5 Jan Sedlák 2013-06-19 09:27:54 EDT
Created attachment 762955 [details]
File: nmcli_dev_list
Comment 6 Jan Sedlák 2013-06-19 09:27:59 EDT
Created attachment 762956 [details]
File: os_info
Comment 7 Jan Sedlák 2013-06-19 09:28:08 EDT
Created attachment 762957 [details]
File: program.log
Comment 8 Jan Sedlák 2013-06-19 09:28:19 EDT
Created attachment 762958 [details]
File: storage.log
Comment 9 Jan Sedlák 2013-06-19 09:28:24 EDT
Created attachment 762959 [details]
File: syslog
Comment 10 Jan Sedlák 2013-06-19 09:28:29 EDT
Created attachment 762960 [details]
File: ifcfg.log
Comment 11 Jan Sedlák 2013-06-19 09:28:36 EDT
Created attachment 762961 [details]
File: packaging.log
Comment 13 David Shea 2014-02-28 10:46:33 EST
Does this still occur with F20 or rawhide? We've made some fixes to how the image verification is handled.
Comment 14 Jan Sedlák 2015-11-02 07:23:59 EST
This no longer happens.